Panda3D

Loading...
Searching...
No Matches
Functions
vrpnClient.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "vrpnClient.h"`
`#include "vrpnTracker.h"`
`#include "vrpnTrackerDevice.h"`
`#include "vrpnButton.h"`
`#include "vrpnButtonDevice.h"`
`#include "vrpnAnalog.h"`
`#include "vrpnAnalogDevice.h"`
`#include "vrpnDial.h"`
`#include "vrpnDialDevice.h"`
`#include "config_vrpn.h"`
`#include "dcast.h"`
`#include "string_utils.h"`
`#include "indent.h"`

Go to the source code of this file.

## Functions
| PT (ClientDevice) VrpnClient
| Creates and returns a new ClientDevice of the appropriate type, according to the requested device_type and device_name.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  jason

Date
  2000-08-04

Definition in file vrpnClient.cxx.

## Function Documentation

## ◆ PT()

PT | ( | ClientDevice |  | ) |

Creates and returns a new ClientDevice of the appropriate type, according to the requested device_type and device_name.

Creates a new dial device.

Creates a new analog device.

Creates a new button device.

Creates a new tracker device.

Returns NULL if a matching device cannot be found.

This is guaranteed not to be called twice for a given device_type/device_name combination (unless disconnect_device() has already been called for the same device_type/device_name).

The device_name is parsed for sensor and data_type information.

The device_name may be one of the following:

tracker_name tracker_name:N tracker_name:N[pva]

Where N is an integer sensor number, and [pva] is one of the lowercase letters p, v, or a.

In the first form, the device connects to the indicated tracker, and reports position information on sensor number 0.

In the second form, the device connects to the indicated tracker, and reports position information on the indicated sensor number.

In the third form, the device connects to the indicated tracker, and reports either position, velocity, or acceleration information on the indicated sensor number.

The device_name is sent verbatim to the VRPN library.

Definition at line 148 of file vrpnClient.cxx.